
From: Kenji Kaneshige <kaneshige.kenji@jp.fujitsu.com>

This patch adds pci_disable_device() into e1000_remove().

If your driver decides to stop using the device, it should call
pci_disable_device() to deallocate any IRQ resources, disable PCI
bus-mastering, etc.

Signed-off-by: Kenji Kaneshige <kaneshige.kenji@jp.fujitsu.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/e1000/e1000_main.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/net/e1000/e1000_main.c~add-missing-pci_disable_device-for-e1000 drivers/net/e1000/e1000_main.c
--- 25/drivers/net/e1000/e1000_main.c~add-missing-pci_disable_device-for-e1000	2004-09-12 23:03:19.861911504 -0700
+++ 25-akpm/drivers/net/e1000/e1000_main.c	2004-09-12 23:03:19.866910744 -0700
@@ -641,6 +641,8 @@ e1000_remove(struct pci_dev *pdev)
 	pci_release_regions(pdev);
 
 	free_netdev(netdev);
+
+	pci_disable_device(pdev);
 }
 
 /**
_
